summaryrefslogtreecommitdiff
path: root/tests/split/l-chunk
diff options
context:
space:
mode:
Diffstat (limited to 'tests/split/l-chunk')
-rwxr-xr-xtests/split/l-chunk14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/split/l-chunk b/tests/split/l-chunk
index e1c9ec7d8..8dbbece51 100755
--- a/tests/split/l-chunk
+++ b/tests/split/l-chunk
@@ -22,11 +22,11 @@ print_ver_ split
# invalid number of chunks
echo 'split: 1o: invalid number of chunks' > exp
split -n l/1o 2>err && fail=1
-compare err exp || fail=1
+compare exp err || fail=1
echo "split: \`-': cannot determine file size" > exp
echo | split -n l/1 2>err && fail=1
-compare err exp || fail=1
+compare exp err || fail=1
# N can be greater than the file size
# in which case no data is extracted, or empty files are written
@@ -52,7 +52,7 @@ printf "%s" "$lines" | tr '~' '\n' > in || framework_failure_
echo 'split: 16: invalid chunk number' > exp
split -n l/16/15 in 2>err && fail=1
-compare err exp || fail=1
+compare exp err || fail=1
printf '%s' "\
14 16 09 15 16 10
@@ -119,20 +119,20 @@ test "$DEBUGGING" && test "$VERBOSE" && set -x
: > out
printf '1\n12345\n' > exp
split -n l/13/15 in > out
-compare out exp || fail=1
+compare exp out || fail=1
: > out
printf '' > exp
split -n l/14/15 in > out
-compare out exp || fail=1
+compare exp out || fail=1
: > out
printf '1\n12345\n1\n' > exp
split -n l/15/15 in > out
-compare out exp || fail=1
+compare exp out || fail=1
# test input with no \n at end
printf '12\n34\n5' > in
printf '5' > exp
split -n l/7/7 in > out
-compare out exp || fail=1
+compare exp out || fail=1
Exit $fail